> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reference IDs

> Returns ids and descriptions for various assets, which will be used for querying for further detailed information

Also used by the Measurement & Verification API.



## OpenAPI

````yaml /tango_watchwire/integrations/guides/watchwire-api.yaml post /info/all
openapi: 3.1.0
info:
  title: WatchWire API
  version: 1.0.0
  description: >-
    The WatchWire Platform has APIs that allow you to access your data
    programmatically. There are several APIs designed for the modules in the
    WatchWire platform including - Invoice Data, Real-Time, Accounts Payable,
    and Measurement & Verification. All are highly scalable, and secure APIs
    that communicate over HTTPS RESTful protocols with JSON based documents.


    > **Note**: Not all WatchWire modules are available as an API.


    # Authentication


    You need credentials to access the APIs - it is the same credentials as your
    WatchWire login. The `/authenticate` will return a Token that needs to be
    included in the header of every subsequent request. The token renews with
    each request and expires after 60 minutes of inactivity (at which point you
    will need to re-authenticate and get a new token).


    > Please contact the WatchWire team for any questions or request for API
    credential access.


    # Error Codes


    There will be various error codes specific to the API you are using, but
    generally follows these principles:


    *   `Unauthorized` - *you are unauthenticated or unauthorized to request
    actions on an asset*

    *   `Asset doesn't exist` - *the item you are querying for doesn't exist*

    *   `Server error`\- *general exception raised in our application code*
        

    # Rate limit


    Rate limited to 10 transactions per meter / second
servers:
  - url: https://auth.replace-me.example.com
    description: Authentication service (Postman variable {{ww-api-baseurl}})
  - url: https://realtime.replace-me.example.com
    description: RealTime API (Postman variable {{gateway-realtime-api}})
  - url: https://ap.replace-me.example.com
    description: Accounts Payable API (Postman variable {{gateway-ap-api}})
  - url: https://invoice.replace-me.example.com
    description: Invoice API (Postman variable {{portal-api-baseurl}})
  - url: https://mv.replace-me.example.com
    description: Measurement & Verification API (Postman variable {{invoice-api}})
security:
  - BearerAuth: []
tags:
  - name: Authentication
  - name: RealTime API - Custom Meter
  - name: RealTime API - Meter Readings
  - name: RealTime API - Meter Readings Aggregations
  - name: RealTime API - Meter Readings Batch Operations
  - name: RealTime API - Obvius Meter Readings
  - name: Accounts Payable API - Audit Statements
  - name: Accounts Payable API - Nexus Statements
  - name: Accounts Payable API - Standard Statements
  - name: Accounts Payable API - Statement PDFs
  - name: Invoice API - Reference IDs
  - name: Invoice API - Invoice
  - name: Measurement & Verification API - M&V
paths:
  /info/all:
    post:
      tags:
        - Invoice API - Reference IDs
      summary: Get reference IDs
      description: >-
        Returns ids and descriptions for various assets, which will be used for
        querying for further detailed information


        Also used by the Measurement & Verification API.
      operationId: getReferenceIds
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  reportNodeTree:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        code:
                          type: string
                        name:
                          type: string
                        children:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                              name:
                                type: string
                              code:
                                type: string
                              address:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              zip:
                                type: string
                              squareFootage:
                                type: integer
                  accountList:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        accountCode:
                          type: string
                        accountAddress:
                          type: string
                        propertyName:
                          type: string
                        accountName:
                          type: string
                        commodity:
                          type: string
                  commodityList:
                    type: array
                    items:
                      type: string
                  mvProjectList:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        installDate:
                          type: string
                        accountId:
                          type: integer
                        nodeId:
                          type: integer
              example:
                reportNodeTree:
                  - id: 45149752
                    code: ut
                    name: adipisicing anim qui
                    children:
                      - id: -98701781
                        name: 'sit incididunt '
                        code: nostrud officia sit
                        address: ipsum fugiat Lorem Excepteur
                        city: et dolore veniam
                        state: ex
                        zip: amet consectetur quis in
                        squareFootage: -37629055
                accountList:
                  - id: 50052223
                    accountCode: velit id
                    accountAddress: proident elit
                    propertyName: adipisicing irure Duis
                    accountName: dolore dolore
                    commodity: anim
                commodityList:
                  - ELECTRIC
                mvProjectList:
                  - id: 69012274
                    name: sunt
                    installDate: Jan 2016
                    accountId: 10620131
                    nodeId: -21796823
        '401':
          description: Unauthorized - missing, invalid or expired token
      security:
        - TokenHeader: []
      servers:
        - url: https://invoice.replace-me.example.com
          description: Invoice API (Postman variable {{portal-api-baseurl}})
        - url: https://mv.replace-me.example.com
          description: Measurement & Verification API (Postman variable {{invoice-api}})
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token returned by `POST /authenticate`. Expires after 60 minutes of
        inactivity.
    TokenHeader:
      type: apiKey
      in: header
      name: Token
      description: API token sent in the `Token` header.

````